diff -uwr source/bansystem/General.h 4.0/source/bansystem/General.h
--- source/bansystem/General.h	2011-03-08 09:51:40.000000000 +0800
+++ 4.0/source/bansystem/General.h	2011-10-11 21:31:44.972656200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef BANSYSTEM_INCLUDE__GENERAL_H
 #define BANSYSTEM_INCLUDE__GENERAL_H
 
diff -uwr source/bansystem/IpAddress.cpp 4.0/source/bansystem/IpAddress.cpp
--- source/bansystem/IpAddress.cpp	2010-07-09 18:38:52.000000000 +0800
+++ 4.0/source/bansystem/IpAddress.cpp	2011-10-11 21:31:48.376953100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "IpAddress.h"
 
diff -uwr source/bansystem/IpAddress.h 4.0/source/bansystem/IpAddress.h
--- source/bansystem/IpAddress.h	2010-07-09 18:38:52.000000000 +0800
+++ 4.0/source/bansystem/IpAddress.h	2011-10-11 21:31:50.869140600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 class StringClass;
diff -uwr source/bansystem/bansystem.cpp 4.0/source/bansystem/bansystem.cpp
--- source/bansystem/bansystem.cpp	2011-09-03 08:29:34.000000000 +0800
+++ 4.0/source/bansystem/bansystem.cpp	2011-10-11 21:31:27.529296800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "BanSystem.h"
 #include "CommandLineParser.h"
@@ -6,11 +17,6 @@
 #include "engine_tt.h"
 #include "gmgame.h"
 
-void* HookupAT3x(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*version_selector)())
-{
-	return HookupAT3(a,b,c,patch_start,patch_end,version_selector);
-}
-
 static int getClientIdByIdentifier(const char* clientIdentifier)
 {
 	assert(clientIdentifier);
Only in 4.0/source/bin: Debug
Only in 4.0/source/bin: Release
Only in source/bin: release
diff -uwr source/crates/General.cpp 4.0/source/crates/General.cpp
--- source/crates/General.cpp	2009-04-12 11:51:52.000000000 +0800
+++ 4.0/source/crates/General.cpp	2011-10-11 21:32:51.656250000 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/crates/General.h 4.0/source/crates/General.h
--- source/crates/General.h	2011-03-08 09:52:30.000000000 +0800
+++ 4.0/source/crates/General.h	2011-10-11 21:33:04.559570300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef CRATES_INCLUDE__GENERAL_H
 #define CRATES_INCLUDE__GENERAL_H
 
diff -uwr source/crates/crates.cpp 4.0/source/crates/crates.cpp
--- source/crates/crates.cpp	2011-08-17 19:55:54.000000000 +0800
+++ 4.0/source/crates/crates.cpp	2011-10-11 21:32:46.643554600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "engine_tt.h"
 #include "gmplugin.h"
@@ -7,10 +18,6 @@
 #include "PurchaseSettingsDefClass.h"
 #include "PowerupGameObj.h"
 #include "PowerupGameObjDef.h"
-void* HookupAT3x(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*version_selector)())
-{
-	return HookupAT3(a,b,c,patch_start,patch_end,version_selector);
-}
 
 class Crate : public Plugin
 {
diff -uwr source/example-plugin/ExamplePlugin.cpp 4.0/source/example-plugin/ExamplePlugin.cpp
--- source/example-plugin/ExamplePlugin.cpp	2011-04-28 08:45:42.000000000 +0800
+++ 4.0/source/example-plugin/ExamplePlugin.cpp	2011-10-11 21:33:27.709960900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "ExamplePlugin.h"
 #include "engine_tt.h"
diff -uwr source/example-plugin/ExamplePlugin.h 4.0/source/example-plugin/ExamplePlugin.h
--- source/example-plugin/ExamplePlugin.h	2011-04-28 08:41:42.000000000 +0800
+++ 4.0/source/example-plugin/ExamplePlugin.h	2011-10-11 21:33:30.496093700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/example-plugin/General.cpp 4.0/source/example-plugin/General.cpp
--- source/example-plugin/General.cpp	2009-04-12 11:51:52.000000000 +0800
+++ 4.0/source/example-plugin/General.cpp	2011-10-11 21:33:33.573242100 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/example-plugin/General.h 4.0/source/example-plugin/General.h
--- source/example-plugin/General.h	2011-04-28 07:58:30.000000000 +0800
+++ 4.0/source/example-plugin/General.h	2011-10-11 21:33:35.815429600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef EXAMPLEPLUGIN_INCLUDE__GENERAL_H
 #define EXAMPLEPLUGIN_INCLUDE__GENERAL_H
 
Only in 4.0/source: makemix
diff -uwr source/randomstartingcredits/General.cpp 4.0/source/randomstartingcredits/General.cpp
--- source/randomstartingcredits/General.cpp	2011-04-30 07:44:54.000000000 +0800
+++ 4.0/source/randomstartingcredits/General.cpp	2011-10-11 21:36:23.619140600 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/randomstartingcredits/General.h 4.0/source/randomstartingcredits/General.h
--- source/randomstartingcredits/General.h	2011-04-30 07:44:54.000000000 +0800
+++ 4.0/source/randomstartingcredits/General.h	2011-10-11 21:36:26.301757800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef RANDOMSTARTINGCREDITS_INCLUDE__GENERAL_H
 #define RANDOMSTARTINGCREDITS_INCLUDE__GENERAL_H
 
diff -uwr source/randomstartingcredits/RandomStartingCredits.cpp 4.0/source/randomstartingcredits/RandomStartingCredits.cpp
--- source/randomstartingcredits/RandomStartingCredits.cpp	2011-04-30 07:44:54.000000000 +0800
+++ 4.0/source/randomstartingcredits/RandomStartingCredits.cpp	2011-10-11 21:36:29.291015600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "RandomStartingCredits.h"
 #include "gmgame.h"
diff -uwr source/randomstartingcredits/RandomStartingCredits.h 4.0/source/randomstartingcredits/RandomStartingCredits.h
--- source/randomstartingcredits/RandomStartingCredits.h	2011-04-30 07:49:06.000000000 +0800
+++ 4.0/source/randomstartingcredits/RandomStartingCredits.h	2011-10-11 21:36:31.619140600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/scripts/AABTreeCull.h 4.0/source/scripts/AABTreeCull.h
--- source/scripts/AABTreeCull.h	2011-02-25 09:39:28.000000000 +0800
+++ 4.0/source/scripts/AABTreeCull.h	2011-10-11 21:36:51.353515600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_AABTREECULL_H
 #define TT_INCLUDE_AABTREECULL_H
 #include "cullsystemclass.h"
diff -uwr source/scripts/AABoxClass.h 4.0/source/scripts/AABoxClass.h
--- source/scripts/AABoxClass.h	2011-05-30 11:01:48.000000000 +0800
+++ 4.0/source/scripts/AABoxClass.h	2011-10-11 21:36:48.701171800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__AABOXCLASS_H
 #define TT_INCLUDE__AABOXCLASS_H
 
diff -uwr source/scripts/AAPlaneClass.h 4.0/source/scripts/AAPlaneClass.h
--- source/scripts/AAPlaneClass.h	2009-11-09 18:47:58.000000000 +0800
+++ 4.0/source/scripts/AAPlaneClass.h	2011-10-11 21:36:53.529296800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_AAPLANECLASS_H
 #define TT_INCLUDE_AAPLANECLASS_H
 
diff -uwr source/scripts/AirFactoryGameObj.h 4.0/source/scripts/AirFactoryGameObj.h
--- source/scripts/AirFactoryGameObj.h	2011-06-14 19:04:26.000000000 +0800
+++ 4.0/source/scripts/AirFactoryGameObj.h	2011-10-21 09:32:28.004882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__AIRFACTORYGAMEOBJ_H
 #define TT_INCLUDE__AIRFACTORYGAMEOBJ_H
 #include "BuildingGameObj.h"
@@ -18,9 +29,11 @@
 	void					CnC_Initialize (BaseControllerClass *base);
 	void					On_Destroyed (void);
 	void					Think (void);
-	bool					Is_Available (void) const	{ return (IsBusy == false) && (IsDestroyed == false); }
+	bool					Is_Available (void) const	{ return (IsBusy == false) && (IsDestroyed == false) && (IsDisabled == false); }
 	bool					Is_Available_For_Purchase (void) const;
 	bool					Is_Busy (void) const			{ return IsBusy; }
+	bool					Is_Disabled (void) const			{ return IsDisabled; }
+	void					Set_Disabled(bool disabled)         { IsDisabled = disabled; Set_Object_Dirty_Bit (BIT_RARE, true);}
 	int					Get_Team_Vehicle_Count(void) const; 
 	static void			Set_Max_Vehicles_Per_Team(int max)		{ MaxVehiclesPerTeam = max; }
 	static int			Get_Max_Vehicles_Per_Team(void)			{ return MaxVehiclesPerTeam; }
@@ -35,6 +48,7 @@
 	ReferencerClass	Purchaser;
 	DynamicVectorClass<PhysicalGameObj *> LandingPositions;
 	int CurrentLandingPosition;
+	int IsDisabled;
 	static int MaxVehiclesPerTeam;
 };
 
diff -uwr source/scripts/AirFactoryGameObjDef.h 4.0/source/scripts/AirFactoryGameObjDef.h
--- source/scripts/AirFactoryGameObjDef.h	2011-06-14 17:00:00.000000000 +0800
+++ 4.0/source/scripts/AirFactoryGameObjDef.h	2011-10-11 21:37:09.316406200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__AIRFACTORYGAMEOBJDEF_H
 #define TT_INCLUDE__AIRFACTORYGAMEOBJDEF_H
 #include "BuildingGameObjDef.h"
diff -uwr source/scripts/AirStripGameObj.h 4.0/source/scripts/AirStripGameObj.h
--- source/scripts/AirStripGameObj.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/AirStripGameObj.h	2011-10-11 21:37:11.875976500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__AIRSTRIPGAMEOBJ_H
 #define TT_INCLUDE__AIRSTRIPGAMEOBJ_H
 
diff -uwr source/scripts/AirStripGameObjDef.h 4.0/source/scripts/AirStripGameObjDef.h
--- source/scripts/AirStripGameObjDef.h	2010-06-14 15:32:48.000000000 +0800
+++ 4.0/source/scripts/AirStripGameObjDef.h	2011-10-11 21:37:14.416992100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__AIRSTRIPGAMEOBJDEF_H
 #define TT_INCLUDE__AIRSTRIPGAMEOBJDEF_H
 
diff -uwr source/scripts/AnimCollisionManagerClass.h 4.0/source/scripts/AnimCollisionManagerClass.h
--- source/scripts/AnimCollisionManagerClass.h	2011-05-21 16:58:52.000000000 +0800
+++ 4.0/source/scripts/AnimCollisionManagerClass.h	2011-10-11 21:37:17.276367100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__ANIMCOLLISIONMANAGERCLASS_H
 #define TT_INCLUDE__ANIMCOLLISIONMANAGERCLASS_H
 
diff -uwr source/scripts/AnimControlClass.h 4.0/source/scripts/AnimControlClass.h
--- source/scripts/AnimControlClass.h	2009-06-07 15:47:12.000000000 +0800
+++ 4.0/source/scripts/AnimControlClass.h	2011-10-11 21:37:20.073242100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__ANIMCONTROLCLASS_H
 #define TT_INCLUDE__ANIMCONTROLCLASS_H
 
diff -uwr source/scripts/ArmedGameObj.h 4.0/source/scripts/ArmedGameObj.h
--- source/scripts/ArmedGameObj.h	2010-04-10 14:55:26.000000000 +0800
+++ 4.0/source/scripts/ArmedGameObj.h	2011-10-11 21:37:23.454101500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_ARMEDGAMEOBJ_H
 #define TT_INCLUDE_ARMEDGAMEOBJ_H
 #include "PhysicalGameObj.h"
diff -uwr source/scripts/ArmedGameObjDef.h 4.0/source/scripts/ArmedGameObjDef.h
--- source/scripts/ArmedGameObjDef.h	2011-05-22 02:48:46.000000000 +0800
+++ 4.0/source/scripts/ArmedGameObjDef.h	2011-10-11 21:37:26.043945300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_ARMEDGAMEOBJDEF_H
 #define TT_INCLUDE_ARMEDGAMEOBJDEF_H
 #include "PhysicalGameObjDef.h"
diff -uwr source/scripts/ArmorWarheadManager.h 4.0/source/scripts/ArmorWarheadManager.h
--- source/scripts/ArmorWarheadManager.h	2011-08-25 16:17:14.000000000 +0800
+++ 4.0/source/scripts/ArmorWarheadManager.h	2011-10-11 21:57:50.799804600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__ARMORWARHEADMANAGER_H
 #define TT_INCLUDE__ARMORWARHEADMANAGER_H
 #include "engine_string.h"
diff -uwr source/scripts/AudibleSoundClass.h 4.0/source/scripts/AudibleSoundClass.h
--- source/scripts/AudibleSoundClass.h	2011-05-24 09:46:02.000000000 +0800
+++ 4.0/source/scripts/AudibleSoundClass.h	2011-10-11 21:57:47.343750000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__AUDIBLESOUNDCLASS_H
 #define TT_INCLUDE__AUDIBLESOUNDCLASS_H
 
@@ -145,7 +156,7 @@
   virtual void                Allocate_Miles_Handle   ();
   virtual SoundBufferClass*   Get_Buffer              () const;
   virtual SoundBufferClass*   Peek_Buffer             () const;
-  virtual void                Set_Buffer              (SoundBufferClass* buffer);
+  SHADERS_API virtual void                Set_Buffer              (SoundBufferClass* buffer);
   virtual void                Restart_Loop            ();
   virtual void                Update_Play_Position    ();
   virtual void                On_Loop_End             ();
diff -uwr source/scripts/AudibleSoundDefinitionClass.cpp 4.0/source/scripts/AudibleSoundDefinitionClass.cpp
--- source/scripts/AudibleSoundDefinitionClass.cpp	2011-05-24 09:57:26.000000000 +0800
+++ 4.0/source/scripts/AudibleSoundDefinitionClass.cpp	2011-10-11 23:04:16.190429600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "AudibleSoundDefinitionClass.h"
 #include "SimpleDefinitionFactoryClass.h"
